Bug 496653 - Rawhide vncviewer shows corrupt display when connecting to rawhide/ppc install over VNC
Rawhide vncviewer shows corrupt display when connecting to rawhide/ppc instal...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-04-20 10:51 EDT by James Laska
Modified: 2013-09-02 02:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 09:58:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (using tigervnc) (186.96 KB, image/png)
2009-04-20 10:51 EDT, James Laska
no flags Details
Screenshot (using F10) (65.91 KB, image/png)
2009-04-20 10:52 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-04-20 10:51:10 EDT
Created attachment 340356 [details]
Screenshot (using tigervnc)

Description of problem:

Using tigervnc-0.0.90-0.5.20090403svn3751.fc11.i586 shows video corruption over the vnc session while connecting to a VNC rawhide/ppc install.  However, using vnc-4.1.3-1.fc10 against the same target system doesn't show failures.

Version-Release number of selected component (if applicable):
tigervnc-0.0.90-0.5.20090403svn3751.fc11

How reproducible:


Steps to Reproduce:
1. Initiate a rawhide/ppc VNC install
2. Connect to the target host with tigervnc
  
Actual results:

See screenshot.

Expected results:


Additional info:
Comment 1 James Laska 2009-04-20 10:52:14 EDT
Created attachment 340358 [details]
Screenshot (using F10)
Comment 2 James Laska 2009-04-20 10:52:47 EDT
Additional info:

 * console output from F11 while running vncviewer:

# vncviewer ibm-505-lp1.test.redhat.com:1

TigerVNC Viewer for X version 0.0.90 - built Apr  8 2009 10:20:04
Copyright (C) 2002-2005 RealVNC Ltd.
Copyright (C) 2000-2006 TightVNC Group
Copyright (C) 2004-2009 Peter Astrand for Cendio AB
See http://www.tigervnc.org for information on TigerVNC.

Mon Apr 20 10:51:19 2009
 CConn:       connected to host ibm-505-lp1.test.redhat.com port 5901
 CConnection: Server supports RFB protocol version 3.8
 CConnection: Using RFB protocol version 3.8
 TXImage:     Using default colormap and visual, TrueColor, depth 24.
 CConn:       Using pixel format depth 24 (32bpp) little-endian rgb888
 CConn:       Using Tight encoding
Comment 3 James Laska 2009-04-23 12:20:03 EDT
Still seeing this as of rawhide today, any updates or thoughts on this issue.  This is a regression from F-10, I'd like to propose this for F11Blocker list consideration.
Comment 4 Adam Tkac 2009-04-24 07:31:59 EDT
(In reply to comment #3)
> Still seeing this as of rawhide today, any updates or thoughts on this issue. 
> This is a regression from F-10, I'd like to propose this for F11Blocker list
> consideration.  

Problems are already fixed in upstream. I'm going to build new package today.
Comment 5 Adam Tkac 2009-04-27 09:58:08 EDT
Should be fixed in tigervnc-0.0.90-0.6.20090427svn3789.fc11 (https://fedorahosted.org/rel-eng/ticket/1646). If problem still exist please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.